<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<meta content="utf-8" http-equiv="encoding">


<script type="text/javascript" src="./vue.js"></script>

<h1>Hello World</h1>
<div id="app">
    {{ message }}
</div>


<script>
    var app = new Vue({
        el: '#app',
        data: {
            message: 'Hello Vue!'
        }
    });
</script>

<hr><hr><hr>
<h1>V-bind title</h1>

<div id="app-2">
  <span v-bind:title="message">
    Hover your mouse over me for a few seconds
    to see my dynamically bound title!
  </span>
</div>

<script>
    var app2 = new Vue({
        el: '#app-2',
        data: {
            message: 'You loaded this page on ' + new Date().toLocaleString()
        }
    })
</script>


<hr><hr><hr>

<h1>v-if seen</h1>
<div id="app-3">
    <span v-if="seen">Now you see me</span>
</div>

<script>
var app3 = new Vue({
    el: '#app-3',
    data: {
        seen: true
    }
})
</script>


<hr><hr><hr>

<h1>v-for</h1>

<div id="app-4">
    <ol>
        <li v-for="todo in todos">
            {{ todo.text }}
        </li>
    </ol>
</div>

<script>
var app4 = new Vue({
    el: '#app-4',
    data: {
        todos: [
            { text: 'Learn JavaScript' },
            { text: 'Learn Vue' },
            { text: 'Build something awesome' }
        ]
    }
    });
</script>

<hr><hr><hr>

<h1>onclick</h1>
<div id="app-5">
    <p>{{ message }}</p>
    <button v-on:click="reverseMessage">Reverse Message</button>
</div>

<script>

var app5 = new Vue({
    el: '#app-5',
    data: {
        message: 'Hello Vue.js!'
    },
    methods: {
        reverseMessage: function () {
        this.message = this.message.split('').reverse().join('')
        }
    }
})
</script>

<hr><hr><hr>


<h1>v-model</h1>
<div id="app-6">
    <p>{{message}}</p>
    <input v-model="message">
</div>

<script>
    var app6 = new Vue({
    el: '#app-6',
    data: {
        message: 'Hello Vue!'
    }
    })
</script>

<hr><hr><hr>

<h1>Component TODO w/ no features</h1>







<h1>Component TODO</h1>


<div id="app-7">
    <ol>
        <!--
        Now we provide each todo-item with the todo object
        it's representing, so that its content can be dynamic.
        We also need to provide each component with a "key",
        which will be explained later.
        -->
        <todo-item
            v-for="item in groceryList"
            v-bind:todo="item"
            v-bind:key="item.id"
        ></todo-item>
    </ol>
</div>

<script>
Vue.component('todo-item', {
    props: ['todo'],
    template: '<li>{{ todo.text }}</li>'
})

var app7 = new Vue({
    el: '#app-7',
    data: {
        groceryList: [
            { id: 0, text: 'Vegetables' },
            { id: 1, text: 'Cheese' },
            { id: 2, text: 'Whatever else humans are supposed to eat' }
        ]
    }
})
//app7.groceryList.push({id:4, text:"Some blah text"})
</script>










<br><br><br><br><br><br><br><br><br><br><br><br><br><br>